Retail Express API 2.1

Searches Transfers

Searches Transfers

get
https://api.retailexpress.com.au/v2.1/transfers

Query Parameters

filter_bystring | null

Filter by.

Available field name values: id, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, approved_by_id, approved_by_first_name, approved_by_surname, purchase_order_id, order_id, order_number, outlet_from_id, outlet_to_id, status_id, transfer_type_id

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:gte:1,created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432

order_bystring | null

Order by.

Available field name values: id, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, approved_by_id, approved_by_first_name, approved_by_surname, purchase_order_id, order_id, order_number, outlet_from_id, outlet_to_id, status_id, transfer_type_id

Available direction values: asc, desc.

Example: id asc,order_id desc

include_itemsboolean

Include items

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response withTransfers data

Transfer.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Transfer model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/transfers
 
application/json

Creates Transfer

Sample request:

POST ​/transfers
{
  "transfer_type": {
    "id": 3
   },
  "outlet_from": {
    "id": 1
  },
  "outlet_to": {
    "id": 2
  },
  "approved": true,
  "notes": "text",
  "transfer_items": 
  [
    {
        "product": {
            "id" : 124001
        },
        "quantity_proposed": 1
    }
  ],
  "simple_mode": true
}
post
https://api.retailexpress.com.au/v2.1/transfers

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Transfer model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Purchase Order created

Transfer

Transfer model

* Additional properties are NOT allowed.
idinteger | null(int32)

Transfer Identifier

statusobject

Transfer Status

* Additional properties are NOT allowed.
Show Child Parameters
transfer_typeobject

Transfer Type

* Additional properties are NOT allowed.
Show Child Parameters
outlet_fromobject
* Additional properties are NOT allowed.
Show Child Parameters
outlet_toobject
* Additional properties are NOT allowed.
Show Child Parameters
notesstring | null

Notes

approvedboolean

Approved

approved_byobject
* Additional properties are NOT allowed.
Show Child Parameters
purchase_orderobject

Purchase order model

* Additional properties are NOT allowed.
Show Child Parameters
orderobject
* Additional properties are NOT allowed.
Show Child Parameters
created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created On

modified_onstring | null(date-time)

Modified On

total_picked_buy_price_exnumber | null(double)

Total Picked Buy Price Ex

total_picked_direct_costs_exnumber | null(double)

Total Picked Direct Costs Ex

total_picked_cogs_exnumber | null(double)

Total Picked Cogs Ex

transfer_itemsarray | null[object]

Transfer Item model

* Additional properties are NOT allowed.
Show Child Parameters
simple_modeboolean

Simple Mode

post/transfers

Body

{}
 
application/json

Gets specific Transfer by unique id

Gets specific Transfer by unique id

get
https://api.retailexpress.com.au/v2.1/transfers/{id}

Query Parameters

include_itemsboolean

Include items

Path Parameters

idinteger(int32)required

Transfer id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Transfer

Transfer

Transfer model

* Additional properties are NOT allowed.
idinteger | null(int32)

Transfer Identifier

statusobject

Transfer Status

* Additional properties are NOT allowed.
Show Child Parameters
transfer_typeobject

Transfer Type

* Additional properties are NOT allowed.
Show Child Parameters
outlet_fromobject
* Additional properties are NOT allowed.
Show Child Parameters
outlet_toobject
* Additional properties are NOT allowed.
Show Child Parameters
notesstring | null

Notes

approvedboolean

Approved

approved_byobject
* Additional properties are NOT allowed.
Show Child Parameters
purchase_orderobject

Purchase order model

* Additional properties are NOT allowed.
Show Child Parameters
orderobject
* Additional properties are NOT allowed.
Show Child Parameters
created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created On

modified_onstring | null(date-time)

Modified On

total_picked_buy_price_exnumber | null(double)

Total Picked Buy Price Ex

total_picked_direct_costs_exnumber | null(double)

Total Picked Direct Costs Ex

total_picked_cogs_exnumber | null(double)

Total Picked Cogs Ex

transfer_itemsarray | null[object]

Transfer Item model

* Additional properties are NOT allowed.
Show Child Parameters
simple_modeboolean

Simple Mode

get/transfers/{id}
 
application/json

Searches Transfer Items by parameters

Searches Transfer Items by parameters

get
https://api.retailexpress.com.au/v2.1/transfers/{id}/transferitems

Query Parameters

filter_bystring | null

Filter by.

Available field name values: id, product_id, quantity_proposed, quantity_requested, quantity_allocated, quantity_picked, quantity_dispatched, quantity_received, quantity_made_available, buy_price_ex, direct_costs_ex, commited_on, created_on, modified_on

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:2, quantity_proposed:gt:1

order_bystring | null

Order by.

Available field name values: id, product_id, quantity_proposed, quantity_requested, quantity_allocated, quantity_picked, quantity_dispatched, quantity_received, quantity_made_available, buy_price_ex, direct_costs_ex, commited_on, created_on, modified_on

Available direction values: asc, desc.

Example: id asc,product_id desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Transfer id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Transfers Items data

TransferItem.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Transfer Item model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/transfers/{id}/transferitems
 
application/json

Creates Transfer Item

Sample request:

 POST /transfers/1/transferitems
  {
     "product": {
         "id" : 124001
     },
     "quantity_proposed": 1
  }
post
https://api.retailexpress.com.au/v2.1/transfers/{id}/transferitems

Path Parameters

idinteger(int32)required

Transfer Id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Transfer Item to be created

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Transfer Item was created

TransferItem

Transfer Item model

* Additional properties are NOT allowed.
idinteger | null(int32)

Transfer Item Identifier

transfer_idinteger(int32)

Transfer Identifier

productobject
* Additional properties are NOT allowed.
Show Child Parameters
quantity_proposedinteger | null(int32)

Quantity Proposed

quantity_requestedinteger | null(int32)

Quantity Requested

quantity_allocatedinteger | null(int32)

Quantity Allocated

quantity_pickedinteger | null(int32)

Quantity Picked

quantity_dispatchedinteger | null(int32)

Quantity Dispatched

quantity_receivedinteger | null(int32)

Quantity Received

quantity_made_availableinteger | null(int32)

Quantity Made Available

buy_price_exnumber | null(double)

Buy Price Ex

direct_costs_exnumber | null(double)

Direct Costs Ex

commited_onstring | null(date-time)

Commited On

created_onstring | null(date-time)

Created On

modified_onstring | null(date-time)

Modified On

post/transfers/{id}/transferitems

Body

{}
 
application/json